Bug 165893 - httpd.conf missing a loadmodule for mod_ext_filter.so
httpd.conf missing a loadmodule for mod_ext_filter.so
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-13 14:03 EDT by Sam Varshavchik
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 12:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2005-08-13 14:03:56 EDT
The stock /etc/httpd/conf/httpd.conf does not load mod_ext_filter.so

This looks like an accidental oversight.  httpd.conf apparently has a LoadModule
for everything in /usr/lib/httpd/modules/mod_ext_filter.so, except for
mod_ext_filter.so, and I can't think of any reason why mod_ext_filter would be
disabled by default.  It's primary directive is valid in the server context only:

LoadModule ext_filter_module modules/mod_ext_filter.so
Comment 1 sugiyanto sutikno 2006-04-24 08:49:44 EDT
I got the error too. But it is happend when I set the conf via the configuration
tool on System-Administration-Server Settings-HTTP

There is many modules need to be included. on the /etc/httpd/modules

I think this is a bug of the HTTP configuration tool.
Comment 2 Matthew Miller 2006-07-10 17:22:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Joe Orton 2007-07-25 12:58:14 EDT
This is fixed in all current releases.

Note You need to log in before you can comment on or make changes to this bug.